Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class AboutCommand

    java.lang.Object
      org.apache.jmeter.gui.action.AboutCommand

All Implemented Interfaces:
  Command

    public class AboutCommand

extends Object
implements Command

About Command. It may be extended in the future to add a list of installed protocols, config options, etc.

Constructor Summary
`AboutCommand()`

Method Summary
`void` | `doAction(ActionEvent e)` Handle the "about" action by displaying the "About Apache JMeter..."
`Set<String>` | `getActionNames()` Provide the list of Action names that are available in this command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AboutCommand

    public AboutCommand()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Handle the "about" action by displaying the "About Apache JMeter..." dialog box. The Dialog Box is NOT modal, because those should be avoided if at all possible.

  Specified by:
    `doAction` in interface `Command`

### getActionNames

    public Set<String> getActionNames()

  Provide the list of Action names that are available in this command.

  Specified by:
    `getActionNames` in interface `Command`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.